---
lang: en
title: 'API docs: rest.requestcontext._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.requestcontext._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RequestContext](./rest.requestcontext.md) &gt; [(constructor)](./rest.requestcontext._constructor_.md)

## RequestContext._constructor_

Constructs a new instance of the `RequestContext` class

<b>Signature:</b>

```typescript
constructor(request: Request, response: Response, parent: Context, serverConfig: RestServerResolvedConfig, name?: string);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  request | <code>Request</code> |  |
|  response | <code>Response</code> |  |
|  parent | <code>Context</code> |  |
|  serverConfig | <code>RestServerResolvedConfig</code> |  |
|  name | <code>string</code> |  |


